Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.rss.feed
Class FeedEntryItem

    java.lang.Object
      com.bea.apps.groupspace.rss.feed.FeedEntryItem

    public class FeedEntryItem

extends Object

Field Summary
`static Comparator` | `PubDateComparator`

Constructor Summary
`FeedEntryItem(FeedEntry cmEntry)`
`FeedEntryItem(com.sun.syndication.feed.synd.SyndEntryImpl syEntry, URL feedUrl, CommunityContent.Visibility visibility)`

Method Summary
`boolean` | `equals(Object that)`
`protected List<com.sun.syndication.feed.synd.SyndContentImpl>` | `feContentFromCmEntry(FeedEntry cmEntry)` Convert a BinaryValue from a cm entry to Feedentry content format (List) There can be loss of content here, because CM does not support multivalued Binary fields.
`List<com.sun.syndication.feed.synd.SyndContentImpl>` | `getContents()`
`String` | `getDescription()`
`String` | `getEntryAuthor()`
`String` | `getLink()`
`Date` | `getPublished()`
`String` | `getTitle()`
`String` | `getUniqueId()`
`String` | `getUri()`
`CommunityContent.Visibility` | `getVisibility()`
`boolean` | `isArchive()`
`void` | `setArchive(boolean archive)`
`void` | `setDescription(String description)`
`void` | `setVisibility(CommunityContent.Visibility visibility)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PubDateComparator

    public static Comparator PubDateComparator

Constructor Detail

### FeedEntryItem

    public FeedEntryItem(com.sun.syndication.feed.synd.SyndEntryImpl syEntry,
                         URL feedUrl,
                         CommunityContent.Visibility visibility)

### FeedEntryItem

    public FeedEntryItem(FeedEntry cmEntry)

Method Detail

### feContentFromCmEntry

    protected List<com.sun.syndication.feed.synd.SyndContentImpl> feContentFromCmEntry(FeedEntry cmEntry)

  Convert a BinaryValue from a cm entry to Feedentry content format (List) There can be loss of content here, because CM does not support multivalued Binary fields. On Creation time FeedEntry contents are concatenated into a string. Also, original original content type definitions are not honored. Everything is cast to text/html

  Parameters
    `cmEntry:` - FeedEntry from CM to convert
  Returns
    FeedEntry compatible contents

### isArchive

    public boolean isArchive()

  Returns
    Returns archived status of the entry.

### setArchive

    public void setArchive(boolean archive)

  Parameters
    `archive` - Sets the archive status for the entry

### getContents

    public List<com.sun.syndication.feed.synd.SyndContentImpl> getContents()

  Returns
    Returns the contents.

### getDescription

    public String getDescription()

  Returns
    Returns the description.

### setDescription

    public void setDescription(String description)

  Parameters
    `description` - The description to set.

### getEntryAuthor

    public String getEntryAuthor()

  Returns
    Returns the entryAuthor.

### getLink

    public String getLink()

  Returns
    Returns the link.

### getPublished

    public Date getPublished()

  Returns
    Returns the published.

### getTitle

    public String getTitle()

  Returns
    Returns the title.

### getUri

    public String getUri()

  Returns
    Returns the uri.

### getUniqueId

    public String getUniqueId()

  Returns
    Returns the uniqueId.

### getVisibility

    public CommunityContent.Visibility getVisibility()

  Returns
    Returns the visibility.

### setVisibility

    public void setVisibility(CommunityContent.Visibility visibility)

  Parameters
    `visibility` - The visibility to set.

### equals

    public boolean equals(Object that)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved